Je me suis lancé dans la création d'un QCM que j'espérais prérempli avec les noms des étudiants (issus d'un 
fichier liste.csv en UTF-8). Mais lors de la génération des sujets, rien ne s'affiche.
Je suppose une erreur de ma part dans le code étant novice en LateX...

Ci-joint le code mon sujet de SVT.

<pre>
\documentclass[a4paper]{article}

\usepackage[utf8x]{inputenc}
\usepackage[T1]{fontenc}
\usepackage{multicol}
\usepackage[francais,bloc,completemulti]{automultiplechoice}
%\usepackage[french]{babel}
\usepackage{csvsimple}

\newcommand{\sujet}{%
\exemplaire{1}{%
%%% debut de l'en-tête des copies :

\noindent{\bf QCM  \hfill SVT}
\begin{center}\em
  Lisez tout le sujet avant de commencer.
 
  Les questions faisant apparaître le symbole \multiSymbole{} peuvent
  présenter zéro, une ou plusieurs bonnes réponses. Les autres ont
  une unique bonne réponse.

\end{center}

\vspace*{.5cm}
\begin{minipage}{.4\linewidth}
  \centering\large\bf Les microbes et le système immunitaire\\ EVALUATION DE CONNAISSANCES
\end{minipage}
\champnom{\fbox{
\begin{minipage}{.5\linewidth}
Nom et prénom :

\vspace*{.5cm}\dotfill

\vspace*{1mm}

\end{minipage}}}
%%% fin de l'en-tête
</pre>

Et la fin du fichier :
<pre>
%%génération des sujets
\csvreader[head to column names]{liste.csv}{}{\sujet} 
\end{document}
</pre>

En vous remerciant chaleureusement pour votre travail.
Alban

History
01/11/2020 05:04 pm - Alain Delatour
Veuillez m'excuser pour ce post mal formaté, j'ai essayé de le supprimer sans succès...

01/11/2020 05:52 pm - Frédéric Bréal
Pour la mise en page c'est à cause des % qui suivent une {.

Pouvez-vous faire un sujet avec le modèle présent dans AMC quand vous créez un nouveau sujet -> modèle -> [FR] documentation -> copies 
préremplies. Il est en copie dans ce message.
Cela me permettra par la même occasion de vérifier que ce modèle fonction.

<pre>
\documentclass[12pt,a4paper]{article}

\usepackage{csvsimple}%

\usepackage[francais,bloc]{automultiplechoice}

\newcommand{\sujet}{
\exemplaire{1}{ %

%%% debut de l'en-tête des copies :  
\begin{center}
\noindent{}\fbox{\vspace*{3mm}
         \Large\bf\nom{}~\prenom{}\normalsize{}% 
          \vspace*{3mm}
      }
\end{center}

\noindent{\bf QCM  \hfill TEST}

\vspace*{.5cm}
\begin{minipage}{.4\linewidth}
  \centering\large\bf Test\\ Examen du 01/01/2008
\end{minipage}

\begin{center}\em
Durée : 10 minutes.

  Aucun document n'est autorisé.
  L'usage de la calculatrice est interdit.

  Les questions faisant apparaître le symbole \multiSymbole{} peuvent
  présenter zéro, une ou plusieurs bonnes réponses. Les autres ont
  une unique bonne réponse.

  Des points négatifs pourront être affectés à de \emph{très
    mauvaises} réponses.
\end{center}
\vspace{1ex}
%%% fin de l'en-tête

\restituegroupe{general}
 

\AMCassociation{\id}

%\AMCaddpagesto{3}
	  }
</pre>

Sur ce que vous avez écrit :
- je ne vois pas la commande \exemplaire
- dans \champnom il faut écrire l'entête de votre fichier cvs, qui doit être dans votre fichier projet, de la colonne nom ; idem pour prénom

Pouvez-vous réécrire votre question sur le forum afin de permettre à d'autres de vous aider ?
Cette partie du site est réservée aux remontées de bogue, demandes d'ajout et elle moins visible que le forum.
Merci

01/11/2020 06:40 pm - Alain Delatour
Au temps pour moi et merci pour votre réponse,
Je vais tout cela et je reviens vers vous.

01/13/2020 02:07 pm - Alexis Bienvenüe
- Status changed from New to Feedback

12/21/2020 12:39 pm - Alexis Bienvenüe
- Status changed from Feedback to Closed

- % Done changed from 0 to 100

07/12/2025 3/3


